# TODO
# - should use CXX/CC make options not CC for .cpp compile!
# - maybe bin/man1 should be moved to another package
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Verilog
%define	pnam	Perl
Summary:	Verilog::Perl - an Perl way to handle Verilog files
Summary(pl.UTF-8):	Verilog::Perl - perlowy sposób obsługi plików Verilog
Name:		perl-Verilog-Perl
Version:	3.416
Release:	11
License:	LGPL or Perl Artistic License
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Verilog/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eeae6411b8fd9cdda04fea065065b2ac
URL:		http://search.cpan.org/dist/Verilog-Perl/
BuildRequires:	flex
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Verilog::Parser, Verilog::Preproc, and other Perl modules useful for
manipulation of Verilog files. The Verilog::Parser package will
tokenize a Verilog file when the parse() method is called and invoke
various callback methods. This is useful for extracting information
and editing files while retaining all context. For netlist like
extractions, see Verilog::Netlist. Verilog::Preproc reads Verilog
files, and preprocesses them according to the Verilog 2001
specification. Programs can be easily converted from reading a
IO::File into reading preprocessed output from Verilog::Preproc.
Verilog::Netlist contains interconnect information about a whole
design database.

%description -l pl.UTF-8
Verilog::Parser, Verilog::Preproc i inne moduły Perla przydatne do
obróbki plików Verilog. Pakiet Verilog::Parser po wywołaniu metody
parse() zamienia plik Verilog na tokeny i wykonuje różne metody
wywołań zwrotnych. Jest to przydatne przy wyciąganiu informacji i
modyfikowaniu plików z zachowaniem całego kontekstu. Do wyciągania
informacji w stylu netlist można użyć Verilog::Netlist.
Verilog::Preproc czyta pliki Verilog i przetwarza je zgodnie ze
specyfikacją Verilog 2001. Można łatwo przekształcać programy z
odczytu za pomocą IO::File na czytanie przetworzonego wyjścia z
Verilog::Preproc. Verilog::Netlist zawiera dołączone informacje o
całej bazie projektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Verilog/Verilog-Perl.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Verilog/Language/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorarch}/Verilog
%{perl_vendorarch}/Verilog/*.pm
%dir %{perl_vendorarch}/Verilog/Netlist
%{perl_vendorarch}/Verilog/Netlist/*.pm
%dir %{perl_vendorarch}/auto/Verilog
%dir %{perl_vendorarch}/auto/Verilog/Preproc
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Preproc/Preproc.so
%dir %{perl_vendorarch}/auto/Verilog/Parser
%attr(755,root,root) %{perl_vendorarch}/auto/Verilog/Parser/Parser.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Verilog-Perl.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> b2650df
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 0c6446a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 9619715
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2ad95d6
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> b960c1a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d6d2c22
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8889874
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b3c7470
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b014f5d
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> fed035a
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9f90b61
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 317b36b
- up to 3.416

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 6d96afd
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 05f7ba9
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3f99b4f
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e6634e4
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 5a69867
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e73db42
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4069abc
- up to 3.401

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> da368d2
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

